<!--
{
  "availability" : [

  ],
  "documentType" : "symbol",
  "framework" : "apple-school-and-business-manager-api",
  "identifier" : "/documentation/AppleBusinessAPI/Get-Audit-Events",
  "metadataVersion" : "0.1.0",
  "role" : "Web Service Endpoint",
  "symbol" : {
    "kind" : "Web Service Endpoint",
    "modules" : [
      "Apple Business API"
    ],
    "preciseIdentifier" : "rest:AppleBusinessAPI:get:v1-auditEvents"
  },
  "title" : "Get Audit Events"
}
-->

# Get Audit Events

Get a list of audit events in an organization that satisfies the query criteria.

## Overview

### Example

**Request:**

```
curl "https://api-business.apple.com/v1/auditEvents?filter[startTimestamp]=2026-03-01T00:00:00Z&filter[endTimestamp]=2025-03-02T23:59:59Z&limit=100" \
    -H "Authorization: Bearer ${ACCESS_TOKEN}"
```

**Response:**

```json
    {
    "data": [
        {
            "type": "auditEvents",
            "id": "event-12345",
            "attributes": {
                "eventDateTime": "2026-02-14T12:00:00Z",
                "type": "DEVICE_ADDED_TO_ORG",
                "category": "DEVICE_INVENTORY",
                "actorType": "USER",
                "actorId": "user-abc123",
                "actorName": "elana.landot@melardclothing.com",
                "subjectType": "DEVICE",
                "subjectId": "device-xyz789",
                "subjectName": "MacBook Pro",
                "outcome": "SUCCESS",
                "groupId": "group-001",
                "eventDataPropertyKey": "eventDataDeviceAddedToOrg",
                "eventDataDeviceAddedToOrg": {
                    "serialNumber": "C02X1234ABCD",
                    "purchaseSourceType": "APPLE",
                    "purchaseSourceId": "order-56789"
                    }
                }
            }
        ],
    "links": {
        "self": "<llink to query to generate this output>"
        "next": "<llink to next page of data, if more data is available>"
        },  
    "meta": {
        "paging": {
            "nextCursor": "next-page-token"
            "limit": 5
        }  
    }
}
```

## Topics

### Responses

[`AuditEventsResponse`](/documentation/AppleBusinessAPI/AuditEventsResponse)

The response containing a list of audit events.



---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)